streaming-commons-0.1.18: Common lower-level functions needed by various streaming data libraries

Safe Haskell | Safe
Language | Haskell98

Data.Streaming.Process.Internal

Synopsis

- data StreamingProcessHandle = StreamingProcessHandle ProcessHandle (TMVar ExitCode) (IO ())
- class InputSource a where
- class OutputSink a where

# Documentation

data StreamingProcessHandle #

Wraps up the standard `ProcessHandle` to avoid the `waitForProcess` deadlock. See the linked documentation from the module header for more information.

Since 0.1.4

Constructors

StreamingProcessHandle ProcessHandle (TMVar ExitCode) (IO ()) |

class InputSource a where #

Class for all things which can be used to provide standard input.

Since 0.1.4

Minimal complete definition

isStdStream

Methods

isStdStream :: (Maybe Handle -> IO a, Maybe StdStream) #

Instances

InputSource Handle # |
Methods isStdStream :: (Maybe Handle -> IO Handle, Maybe StdStream) #
InputSource ClosedStream # |
Methods isStdStream :: (Maybe Handle -> IO ClosedStream, Maybe StdStream) #
InputSource Inherited # |
Methods isStdStream :: (Maybe Handle -> IO Inherited, Maybe StdStream) #
InputSource UseProvidedHandle # |
Methods isStdStream :: (Maybe Handle -> IO UseProvidedHandle, Maybe StdStream) #

class OutputSink a where #

Class for all things which can be used to consume standard output or error.

Since 0.1.4

Minimal complete definition

osStdStream

Methods

osStdStream :: (Maybe Handle -> IO a, Maybe StdStream) #

Instances

OutputSink Handle # |
Methods osStdStream :: (Maybe Handle -> IO Handle, Maybe StdStream) #
OutputSink ClosedStream # |
Methods osStdStream :: (Maybe Handle -> IO ClosedStream, Maybe StdStream) #
OutputSink Inherited # |
Methods osStdStream :: (Maybe Handle -> IO Inherited, Maybe StdStream) #
OutputSink UseProvidedHandle # |
Methods osStdStream :: (Maybe Handle -> IO UseProvidedHandle, Maybe StdStream) #